vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function(use)
	-- Packer can manage itself
	use('wbthomason/packer.nvim')

	-- LSP
	use('neovim/nvim-lspconfig')
	use('hrsh7th/cmp-nvim-lsp')
	use('hrsh7th/cmp-nvim-lua')
	use('hrsh7th/cmp-buffer')
	use('hrsh7th/cmp-path')
	use('hrsh7th/nvim-cmp')
	use('saadparwaiz1/cmp_luasnip')

	-- colorschemes
	use('ayu-theme/ayu-vim')
	use('morhetz/gruvbox')
	use('dikiaap/minimalist')
	use('jacoborus/tender.vim')
	use('jpo/vim-railscasts-theme')
	use('rainux/vim-desert-warm-256')
	use('ajmwagar/vim-deus')

	-- airline
	use('vim-airline/vim-airline')
	use('vim-airline/vim-airline-themes')

	-- Git
	use('tpope/vim-fugitive')

	-- Sessions
	-- use('tpope/vim-obsession')
	use {
    'jedrzejboczar/possession.nvim',
    requires = { 'nvim-lua/plenary.nvim' },
	}

	-- NerdTree stuff
	use('preservim/nerdtree')
	use('Xuyuanp/nerdtree-git-plugin')
	use('ryanoasis/vim-devicons')

	-- SuperTab
	use('ervandew/supertab')
	
 	-- Slime, for tmux repl-ing
	use('jpalardy/vim-slime')

	-- Telescope, fuzzy finding
	use('nvim-lua/plenary.nvim')
	use('nvim-telescope/telescope.nvim')
	use{'nvim-telescope/telescope-fzf-native.nvim', run = 'make' }
	use( "nvim-telescope/telescope-file-browser.nvim")

	-- Treesitter
	use{'nvim-treesitter/nvim-treesitter', run = ':TSUpdate' }

	-- Devicons
	use('kyazdani42/nvim-web-devicons')

	-- Registry history
	use {
	  "AckslD/nvim-neoclip.lua",
	  requires = {
		{'kkharji/sqlite.lua', module = 'sqlite'},
		{'nvim-telescope/telescope.nvim'},
	  },
	  config = function()
		require('neoclip').setup({
			enable_persistent_history = true,
			continuous_sync = true
		}
		)
	  end,
	}

	-- Buffers
	use('matbme/JABS.nvim')
	require("jabs").setup {}

	-- Comments
	use {
    'numToStr/Comment.nvim',
    config = function()
        require('Comment').setup()
    end
	}

	-- Git Repo Telescope
	use{'cljoly/telescope-repo.nvim'}

	-- Greeter
	use {
    'goolord/alpha-nvim',
    requires = { 'nvim-tree/nvim-web-devicons' },
    config = function ()
        require'alpha'.setup(require'alpha.themes.startify'.config)
    end
	}

	end
)


