vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function(use)
	-- Packer can manage itself
	use('wbthomason/packer.nvim')

	-- LSP
	use('neovim/nvim-lspconfig')
	use('hrsh7th/cmp-nvim-lsp')
	use('hrsh7th/cmp-nvim-lua')
	use('hrsh7th/cmp-buffer')
	use('hrsh7th/cmp-path')
	use('hrsh7th/nvim-cmp')
	use('saadparwaiz1/cmp_luasnip')

	-- colorschemes
	-- use('ayu-theme/ayu-vim')
	use('Shatur/neovim-ayu')
	use('morhetz/gruvbox')
	use('dikiaap/minimalist')
	use('jacoborus/tender.vim')
	use('jpo/vim-railscasts-theme')
	use('rainux/vim-desert-warm-256')
	use('ajmwagar/vim-deus')
	use('catppuccin/nvim')
	use('bluz71/vim-moonfly-colors')
	use('savq/melange')
	use('srcery-colors/srcery-vim')

	-- airline
	-- use('vim-airline/vim-airline')
	-- use('vim-airline/vim-airline-themes')
	use('nvim-lualine/lualine.nvim')

	-- Git
	use('tpope/vim-fugitive')
	use('kdheepak/lazygit.nvim')

	-- SuperTab
	use('ervandew/supertab')

	-- Vim-surround
	use('tpope/vim-surround')

 	-- Slime, for tmux repl-ing
	use('jpalardy/vim-slime')

	-- Telescope, fuzzy finding
	use('nvim-lua/plenary.nvim')
	use('nvim-telescope/telescope.nvim')
	use{'nvim-telescope/telescope-fzf-native.nvim', run = 'make' }
	use( "nvim-telescope/telescope-file-browser.nvim")

	-- Treesitter
	use{'nvim-treesitter/nvim-treesitter', run = ':TSUpdate' }

	-- Devicons
	use('kyazdani42/nvim-web-devicons')

	-- Registry history
	use {
	  "AckslD/nvim-neoclip.lua",
	  requires = {
		{'kkharji/sqlite.lua', module = 'sqlite'},
		{'nvim-telescope/telescope.nvim'},
	  },
	  config = function()
		require('neoclip').setup({
			enable_persistent_history = true,
			continuous_sync = true
		}
		)
	  end,
	}

	-- Comments
	use {
    'numToStr/Comment.nvim',
    config = function()
        require('Comment').setup()
    end
	}

	-- Virtual Env
	use('jmcantrell/vim-virtualenv')
	end)
